Bug 182149 - [PATCH] net/svnup missing europe mirror in svnup.conf
Summary: [PATCH] net/svnup missing europe mirror in svnup.conf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-16 11:50 UTC by Bernard Spil
Modified: 2015-03-06 09:34 UTC (History)
0 users

See Also:


Attachments
file.diff (284 bytes, patch)
2013-09-16 11:50 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2013-09-16 11:50:00 UTC
The packaged svnup.conf contains only the us-east and us-west svn0 mirrors.
Load not localized optimally as a result.

Fix: As a patch file to @WRKSRC/svnup.conf this would do
How-To-Repeat: install net/svnup
Comment 1 Edwin Groothuis freebsd_committer 2013-09-16 11:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-16 11:50:09 UTC
Maintainer of net/svnup,

Please note that PR ports/182149 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182149

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-09-16 11:50:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-12-22 06:02:47 UTC
Author: jgh
Date: Sun Dec 22 06:02:39 2013
New Revision: 337174
URL: http://svnweb.freebsd.org/changeset/ports/337174

Log:
  - update to 1.01 [1]
  - add europe mirror in svnup.conf [2]
  - while here convert to staging
  
  PR:		182149
  Submitted by:	jcm@visi.com (maintainer) [1], mspil.oss@gmail.com [2]

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo
  head/net/svnup/pkg-plist

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Sun Dec 22 03:31:32 2013	(r337173)
+++ head/net/svnup/Makefile	Sun Dec 22 06:02:39 2013	(r337174)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	1.0
+PORTVERSION=	1.01
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/
@@ -14,13 +14,9 @@ LICENSE=	BSD
 LDFLAGS+=	-lmd -lssl
 USE_XZ=	yes
 
-MAN1=	${PORTNAME}.1
-MAN5=	${PORTNAME}.conf.5
-PORTDOCS=	ChangeLog
-
-NO_STAGE=	yes
 post-patch-script:
-	@${REINPLACE_CMD} -e 's|8.3|${OSREL}|' ${WRKSRC}/svnup.conf
+	@${REINPLACE_CMD} -e 's|\/stable\/8|\/stable\/${OSREL:R}|' ${WRKSRC}/svnup.conf
+	@${REINPLACE_CMD} -e 's|\/releng\/8.3|\/releng\/${OSREL}|' ${WRKSRC}/svnup.conf
 
 do-build:
 	cd ${WRKSRC} && \
@@ -29,21 +25,19 @@ do-build:
 .include <bsd.port.options.mk>
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MAN1PREFIX}/man/man1
-	${INSTALL_MAN} ${WRKSRC}/${MAN5} ${MAN5PREFIX}/man/man5
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.conf.5 ${STAGEDIR}${MAN5PREFIX}/man/man5
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}
-.endif
-	@${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.conf ${PREFIX}/etc/${PORTNAME}.conf.sample
-	@if [ ! -e "${PREFIX}/etc/${PORTNAME}.conf" ]; then \
-		${ECHO_MSG} "   Installing local configuration file: ${PREFIX}/etc/${PORTNAME}.conf"; \
-		${CP} ${PREFIX}/etc/${PORTNAME}.conf.sample ${PREFIX}/etc/${PORTNAME}.conf; \
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${STAGEDIR}${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.conf ${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf.sample
+	@if [ ! -e "${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf" ]; then \
+		${ECHO_MSG} "   Installing local configuration file: ${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf"; \
+		${CP} ${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf.sample ${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf; \
 	else \
-		${ECHO_MSG} "   Preserving local configuration file: ${ETCDIR}/${PORTNAME}.conf"; \
+		${ECHO_MSG} "   Preserving local configuration file: ${STAGEDIR}${ETCDIR}/${PORTNAME}.conf"; \
 	fi
 
 .include <bsd.port.mk>

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Sun Dec 22 03:31:32 2013	(r337173)
+++ head/net/svnup/distinfo	Sun Dec 22 06:02:39 2013	(r337174)
@@ -1,2 +1,2 @@
-SHA256 (svnup-1.0.tar.xz) = 6d09980a0881e681fabd00c63cabd6f2bb80d3f2cb5f02212297533011e25a97
-SIZE (svnup-1.0.tar.xz) = 18440
+SHA256 (svnup-1.01.tar.xz) = 52d94ca71a46fd8bda9c6a4a042acca4b49413271a3b140db0501cf7051550e2
+SIZE (svnup-1.01.tar.xz) = 18492

Modified: head/net/svnup/pkg-plist
==============================================================================
--- head/net/svnup/pkg-plist	Sun Dec 22 03:31:32 2013	(r337173)
+++ head/net/svnup/pkg-plist	Sun Dec 22 06:02:39 2013	(r337174)
@@ -1,4 +1,6 @@
 bin/svnup
+man/man1/svnup.1.gz
+man/man5/svnup.conf.5.gz
 @unexec if cmp -s %D/etc/svnup.conf.sample %D/etc/svnup.conf; then rm -f %D/etc/svnup.conf; else echo "If permanently removing this package, then please consider removing %D/etc/svnup.conf" ;fi
 etc/svnup.conf.sample
 @exec if [ ! -f %D/etc/svnup.conf ] ; then cp -p %D/etc/svnup.conf.sample %D/etc/svnup.conf; fi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-12-22 06:03:04 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!